/*****************************************************************************/
/*                                                                           */
/* liburl2cat : Domain Categorization Library                                */
/*                                                                           */
/*  Copyright (C) 2020 Kuzmin Yaroslav <kuzmin.yaroslav@gmail.com>           */
/*                                                                           */
/* liburl2cat is free software: you can redistribute it and/or modify it     */
/* under the terms of the GNU General Public License as published by the     */
/* Free Software Foundation, either version 3 of the License, or             */
/* (at your option) any later version.                                       */
/*                                                                           */
/* liburl2cat is distributed in the hope that it will be useful, but         */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      */
/* See the GNU General Public License for more details.                      */
/*                                                                           */
/* You should have received a copy of the GNU General Public License along   */
/* with this program.  If not, see <http://www.gnu.org/licenses/>.           */
/*                                                                           */
/*****************************************************************************/

#ifndef NET_H
	#define NET_H

int init_net(net_option_s* net_option, char* scheme_str, char* host_str, char* port_str);
int deinit_net(net_option_s* net_option);
int connect_net(net_option_s* net_option, net_connect_s* net_connect);
int disconnect_net(net_connect_s* net_connect);
int send_net(net_connect_s* net_connect, char* buffer, size_t size);
int recv_net(net_connect_s* net_connect, char* buffer, size_t size);
int free_net(void);

#endif

/*****************************************************************************/
