#!/usr/bin/env bash
##############################################################################
#                                                                            #
# liburl2cat : Domain Categorization Library                                 #
#                                                                            #
#  Copyright (C) 2020 Kuzmin Yaroslav <kuzmin.yaroslav@gmail.com>            #
#                                                                            #
# liburl2cat is free software: you can redistribute it and/or modify it      #
# under the terms of the GNU General Public License as published by the      #
# Free Software Foundation, either version 3 of the License, or              #
# (at your option) any later version.                                        #
#                                                                            #
# liburl2cat is distributed in the hope that it will be useful, but          #
# WITHOUT ANY WARRANTY; without even the implied warranty of                 #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                       #
# See the GNU General Public License for more details.                       #
#                                                                            #
# You should have received a copy of the GNU General Public License along    #
# with this program.  If not, see <http://www.gnu.org/licenses/>.            #
#                                                                            #
##############################################################################

FILE=${1}/version_git.h

VERSION_GIT=$(git -C ${1} log -1 --pretty=format:"%"h)

if [ -z $VERSION_GIT ]
then
	VERSION_GIT=$(date +"%d%m%y")
fi

sed -e "s/^#define PROJECT_VERSION_GIT       0xfffffff/#define PROJECT_VERSION_GIT       0x$VERSION_GIT/" $FILE.in > $FILE

exit 0
